<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_delete_unit_list" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_deleteUnitList - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_deleteUnitList(int, int*);
/*****************************************************************************
  FUNCTION : ann_delete_unit_list
  PURPOSE  : 
  RETURNS  : 
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_delete_unit_list</refname>

    <refpurpose>Deletes units from the network. Removes all links to and from
    these units. </refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_delete_unit_list(network, unit_list);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>unit_list</term>

        <listitem>
          <para> List of the ids of the units that have to be deleted.  </para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>Error if unit doesn't exist.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
